Bug 180415 - XConfigureWindow documentation missing arg
XConfigureWindow documentation missing arg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 19:17 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 17:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2006-02-07 19:17:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
The manual page entry for XConfigureWindow (/usr/X11R6/man/man3/XConfigureWindow.3x) is missing the 4th arg (values).

It should be:

int XConfigureWindow(Display *display, Window w, unsigned value_mask,  XWindowChanges *values);

but the distributed documentation is missing the "values" arg.


Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1.man XConfigureWindow
2.
3.
  

Actual Results:  wrong prototype for XConfigureWindow displayed (only 3 args)

Expected Results:  prototype should have 4 args


Additional info:

This must mean that I am the first person to have ever read the documentation for XConfigureWindow.
Comment 1 Mike A. Harris 2006-02-09 11:55:52 EST
(In reply to comment #0)
> This must mean that I am the first person to have ever read the documentation
> for XConfigureWindow.

Entirely possible. ;)

Please report issues of this nature directly to X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.  Once the problem
is reported there, it'll be fixed in CVS, and be present in the next release
of X.

Comment 2 JW 2006-02-09 18:58:07 EST
But if the release number contains FC4 doesn't that seem to indicate that RedHat
has branded it as their own branch?  And if so, shouldn't somebody take a little
more responsibility for the items on which they append their own revision
numbers?  And for which they supply 24 patches?

Why are RedHat factory workers so nonchalantly lazy?

Note You need to log in before you can comment on or make changes to this bug.